package beilv.venue.service.impl;

import java.util.List;

import beilv.venue.domain.BeilvVenue;
import beilv.venue.mapper.BeilvVenueMapper;
import beilv.venue.service.IBeilvVenueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import beilv.common.core.text.Convert;

/**
 * 场馆信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-01-06
 */
@Service
public class BeilvVenueServiceImpl implements IBeilvVenueService
{
    @Autowired
    private BeilvVenueMapper beilvVenueMapper;

    /**
     * 查询场馆信息
     * 
     * @param id 场馆信息主键
     * @return 场馆信息
     */
    @Override
    public BeilvVenue selectBeilvVenueById(Long id)
    {
        return beilvVenueMapper.selectBeilvVenueById(id);
    }

    /**
     * 查询场馆信息列表
     * 
     * @param beilvVenue 场馆信息
     * @return 场馆信息
     */
    @Override
    public List<BeilvVenue> selectBeilvVenueList(BeilvVenue beilvVenue)
    {
        return beilvVenueMapper.selectBeilvVenueList(beilvVenue);
    }

    /**
     * 新增场馆信息
     * 
     * @param beilvVenue 场馆信息
     * @return 结果
     */
    @Override
    public int insertBeilvVenue(BeilvVenue beilvVenue)
    {
        return beilvVenueMapper.insertBeilvVenue(beilvVenue);
    }

    /**
     * 修改场馆信息
     * 
     * @param beilvVenue 场馆信息
     * @return 结果
     */
    @Override
    public int updateBeilvVenue(BeilvVenue beilvVenue)
    {
        return beilvVenueMapper.updateBeilvVenue(beilvVenue);
    }

    /**
     * 批量删除场馆信息
     * 
     * @param ids 需要删除的场馆信息主键
     * @return 结果
     */
    @Override
    public int deleteBeilvVenueByIds(String ids)
    {
        return beilvVenueMapper.deleteBeilvVenueByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除场馆信息信息
     * 
     * @param id 场馆信息主键
     * @return 结果
     */
    @Override
    public int deleteBeilvVenueById(Long id)
    {
        return beilvVenueMapper.deleteBeilvVenueById(id);
    }
}
